Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal
Interface PortalColumnInformation

All Known Implementing Classes:
  DefaultPortalColumnInformation

public interface PortalColumnInformation

This is the public interface class for the PortalColumnInformation entity.

Method Summary
`java.lang.String` | `getCategoryName()` Get the category name associated with this column information.
`int` | `getColumnOrder()` Get the column order for this column as a zero-based offset.
`int` | `getColumnWidth()` Get the column width for this column as a percentage of the column total for the portal.
`java.lang.String` | `getPortalName()` Get the portal name associated with this column information.
`void` | `setCategoryName(java.lang.String aCategoryName)` Set the category name associated with this column information.
`void` | `setColumnOrder(int anOrder)` Set the column order for this column as a zero-based offset.
`void` | `setColumnWidth(int aWidth)` Set the column width for this column as a percentage of the column total for the portal.
`void` | `setPortalName(java.lang.String aPortalName)` Set the portal name associated with this column information.

Method Detail

### getPortalName

    public java.lang.String getPortalName()

  Get the portal name associated with this column information.
  Returns:
    String The portal name associated with this column information.

### setPortalName

    public void setPortalName(java.lang.String aPortalName)

  Set the portal name associated with this column information.
  Parameters:
    `aPortalName` - The portal name.

### getCategoryName

    public java.lang.String getCategoryName()

  Get the category name associated with this column information.
  Returns:
    String - The category name associated with this column information.

### setCategoryName

    public void setCategoryName(java.lang.String aCategoryName)

  Set the category name associated with this column information.
  Parameters:
    `String` - - The category name associated with this column information.

### getColumnWidth

    public int getColumnWidth()

  Get the column width for this column as a percentage of the column total for the portal.
  Returns:
    int - The column width as a percentage. column information.

### setColumnWidth

    public void setColumnWidth(int aWidth)

  Set the column width for this column as a percentage of the column total for the portal.
  Parameters:
    `aWidth` - The column width as a percentage. column information.

### getColumnOrder

    public int getColumnOrder()

  Get the column order for this column as a zero-based offset.
  Returns:
    int - The column order for this column as a zero-based offset.

### setColumnOrder

    public void setColumnOrder(int anOrder)

  Set the column order for this column as a zero-based offset.
  Parameters:
    `The` - column order for this column as a zero-based offset.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved